window.Gleam.initSearch([{"doc":"gwitch","title":"gwitch","content":"# gwitch\n\n[![Package Version](https://img.shields.io/hexpm/v/gwitch)](https://hex.pm/packages/gwitch)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/gwitch/)\n\n```sh\ngleam add gwitch\n```\n```gleam\nimport gleam/erlang/process\nimport gwitch\n\npub fn main() {\n  // Connect to the Twitch channel &quot;criken&quot; with an anonymous user, returning a subject to receive messages\n  let subj = gwitch.connect(&quot;criken&quot;, None)\n  // Start a process that will monitor the connection\n  let done =\n    // Create a selector that will receive messages from the WebSocket process\n    process.new_selector()\n    // Monitor for the WebSocket process to go down\n    |&gt; process.selecting_process_down(\n      // Start the WebSocket monitoring process\n      process.monitor_process(process.subject_owner(subj)),\n      function.identity,\n    )\n    // Continously receive messages from the WebSocket process\n    |&gt; process.select_forever\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/gwitch&gt;.\n","url":"index.html"},{"doc":"gwitch","title":"LoginCredentials","content":"pub type LoginCredentials {\n  Static(username: String, password: String)\n}\n\nStatic(username: String, password: String)\n\n\nSynonyms:\ngwitch.LoginCredentials\ngwitch LoginCredentials","url":"gwitch.html#LoginCredentials"},{"doc":"gwitch","title":"connect","content":"pub fn connect(\n  channel: String,\n  creds: Option(LoginCredentials),\n) -&gt; Subject(InternalMessage(Msg))\n\nSynonyms:\ngwitch.connect\ngwitch connect","url":"gwitch.html#connect"},{"doc":"gwitch","title":"get_twitch_subj","content":"pub fn get_twitch_subj() -&gt; Subject(InternalMessage(Msg))\n\nSynonyms:\ngwitch.get_twitch_subj\ngwitch get_twitch_subj","url":"gwitch.html#get_twitch_subj"},{"doc":"gwitch","title":"join_channel","content":"pub fn join_channel(\n  subj: Subject(InternalMessage(Msg)),\n  channel: String,\n) -&gt; Nil\n\nSynonyms:\ngwitch.join_channel\ngwitch join_channel","url":"gwitch.html#join_channel"},{"doc":"gwitch","title":"login","content":"pub fn login(\n  subj: Subject(InternalMessage(Msg)),\n  creds: Option(LoginCredentials),\n) -&gt; Nil\n\nSynonyms:\ngwitch.login\ngwitch login","url":"gwitch.html#login"},{"doc":"gwitch","title":"gwitch","content":"","url":"gwitch.html"}]);